# This is a copy of the upstream conda recipe for this package
# hosted at github.com/conda-forge/lal-feedstock and licensed
# under the terms of the BSD 3-Clause license.
# This is only for CI purposes, and should not be considered
# production-ready at any time.

{% set name = "lalburst" %}
{% set version = "@VERSION@".replace('-', '.') %}
{% set url = "file://@TARBALL@" %}
{% set sha256 = "@SHA256@" %}

# dependencies
{% set lal_version = "@MIN_LAL_VERSION@a0" %}
{% set lalmetaio_version = "@MIN_LALMETAIO_VERSION@a0" %}
{% set lalsimulation_version = "@MIN_LALSIMULATION_VERSION@a0" %}
{% set swig_version = "@MIN_SWIG_VERSION@" %}
{% set numpy_version = "@MIN_NUMPY_VERSION@" %}

package:
  name: {{ name }}-split
  version: {{ version }}

source:
  url: file://@TARBALL@
  sha256: @SHA256@

build:
  error_overdepending: true
  error_overlinking: true
  number: 9999
  script_env:
    - CI_PIPELINE_SOURCE
  skip: true  # [win]

requirements:
  build:
    - {{ compiler('c') }}
    - help2man >=1.37
    - make
    - pkg-config >=0.18.0
    - swig >={{ swig_version }}
  host:
    - gsl
    - liblal >={{ lal_version }}
    - liblalmetaio >={{ lalmetaio_version }}
    - liblalsimulation >={{ lalsimulation_version }}
    - metaio

outputs:
  - name: liblalburst
    script: install-lib.sh
    build:
      run_exports:
        - {{ pin_subpackage("liblalburst", max_pin="x") }}
    requirements:
      build:
        - {{ compiler('c') }}
        - make
        - swig >={{ swig_version }}
      host:
        - gsl
        - liblal >={{ lal_version }}
        - liblalmetaio >={{ lalmetaio_version }}
        - liblalsimulation >={{ lalsimulation_version }}
        - metaio
      run:
        - gsl
        - liblal >={{ lal_version }}
        - liblalmetaio >={{ lalmetaio_version }}
        - liblalsimulation >={{ lalsimulation_version }}
        - metaio
    test:
      requires:
        - pkg-config
      commands:
        - test $(pkg-config --modversion --print-errors lalburst) == "@VERSION@"
    about:
      home: https://wiki.ligo.org/Computing/LALSuite
      doc_url: https://lscsoft.docs.ligo.org/lalsuite/lalframe/
      dev_url: https://git.ligo.org/lscsoft/lalsuite/
      license: GPL-2.0-or-later
      license_family: GPL
      license_file: COPYING
      summary: LSC Algorithm Burst Library shared object libraries
      description: |
        The LSC Algorithm Burst Library for gravitational wave data analysis.
        This package contains the shared-object libraries needed to run
        applications that use the LAL Burst library.

  - name: python-lalburst
    script: install-python.sh
    build:
      error_overdepending: true
      error_overlinking: true
      ignore_run_exports:
        # ignore run_exports from python's recipe
        - python
    requirements:
      build:
        - {{ compiler('c') }}
        - make
        - pkg-config >=0.18.0
        - swig >={{ swig_version }}
      host:
        - {{ pin_subpackage('liblalburst', exact=True) }}
        - lscsoft-glue
        - numpy
        - python
        - python-lal >={{ lal_version }}
        - python-lalmetaio >={{ lalmetaio_version }}
        - python-lalsimulation >={{ lalsimulation_version }}
        - scipy
      run:
        - gsl
        - liblal >={{ lal_version }}
        - {{ pin_subpackage('liblalburst', exact=True) }}
        - liblalmetaio
        - liblalsimulation
        - ligo-segments
        - lscsoft-glue
        - matplotlib
        - metaio
        - {{ pin_compatible('numpy') }}
        - python
        - python-lal >={{ lal_version }}
        - python-lalmetaio >={{ lalmetaio_version }}
        - python-lalsimulation >={{ lalsimulation_version }}
        - python-ligo-lw
        - scipy
    test:
      requires:
        - pytest >=4.0.0a0
      source_files:
        - test/python
      commands:
        - python -m pytest -rs -v --junit-xml=junit.xml test/python
      imports:
        - lalburst
        - lalburst.SimBurstUtils
        - lalburst.SnglBurstUtils
        - lalburst.binjfind
        - lalburst.bucluster
        - lalburst.burca
        - lalburst.burca_tailor
        - lalburst.cafe
        - lalburst.calc_likelihood
        - lalburst.cs_gamma
        - lalburst.date
        - lalburst.packing
        - lalburst.snglcluster
        - lalburst.snglcoinc
        - lalburst.timeslides
    about:
      home: https://wiki.ligo.org/Computing/LALSuite
      doc_url: https://lscsoft.docs.ligo.org/lalsuite/lalburst/
      dev_url: https://git.ligo.org/lscsoft/lalsuite/
      license: GPL-2.0-or-later
      license_family: GPL
      license_file: COPYING
      summary: LSC Algorithm Burst Library python python bindings
      description: |
        The LSC Algorithm Burst Library for gravitational wave data analysis.
        This package contains the python bindings.

  - name: lalburst
    script: install-bin.sh
    build:
      error_overdepending: true
      error_overlinking: true
      ignore_run_exports:
        - python
    requirements:
      build:
        - {{ compiler('c') }}
        - make
      host:
        - liblal >={{ lal_version }}
        - {{ pin_subpackage('liblalburst', exact=True) }}
        - python
      run:
        - liblal >={{ lal_version }}
        - {{ pin_subpackage('liblalburst', exact=True) }}
        - python
        - {{ pin_subpackage('python-lalburst', exact=True) }}
    test:
      commands:
        - lalburst_version --verbose
      imports:
        - lalburst
    about:
      home: https://wiki.ligo.org/Computing/LALSuite
      doc_url: https://lscsoft.docs.ligo.org/lalsuite/lalburst/
      dev_url: https://git.ligo.org/lscsoft/lalsuite/
      license: GPL-2.0-or-later
      license_family: GPL
      license_file: COPYING
      summary: LSC Algorithm Burst Library
      description: |
        The LSC Algorithm Burst Library for gravitational wave data analysis.

about:
  home: https://wiki.ligo.org/Computing/LALSuite
  doc_url: https://lscsoft.docs.ligo.org/lalsuite/lalburst/
  dev_url: https://git.ligo.org/lscsoft/lalsuite/
  license: GPL-2.0-or-later
  license_family: GPL
  license_file: COPYING
  summary: LSC Algorithm Burst Library
  description: |
    The LSC Algorithm Burst Library for gravitational wave data analysis.

extra:
  feedstock-name: lalburst
  recipe-maintainers:
    - duncanmmacleod
    - skymoo
